Declares a new desired revision.
const url = 'https://example.com/v1/m/deploy/definitions/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"note":"example","source_ref":"example","spec":{"command":"example","env_refs":[{"name":"example","secret_ref":"example"}],"identity":{"identity_ref":"example","mint":true},"image":"example","replicas":1,"resources":{"additionalProperty":"example"},"wirings":[{"mode":"example","resource_kind":"example","resource_ref":"example","secret_ref":"example"}]},"target":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/deploy/definitions/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "note": "example", "source_ref": "example", "spec": { "command": "example", "env_refs": [ { "name": "example", "secret_ref": "example" } ], "identity": { "identity_ref": "example", "mint": true }, "image": "example", "replicas": 1, "resources": { "additionalProperty": "example" }, "wirings": [ { "mode": "example", "resource_kind": "example", "resource_ref": "example", "secret_ref": "example" } ] }, "target": "example" }'Declares a new desired revision. Write-tier; self-audited.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Path parameter id.
Header Parameters
Section titled “Header Parameters ”Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ”The handler accepts one JSON document and caps decoding at 256 KiB.
object
object
object
After Unicode whitespace trimming, the handler requires a non-empty value of at most 200 UTF-8 bytes and rejects inline credential material.
object
Trimmed and lowercased by the handler; the normalized value must be read, write or readwrite.
After Unicode whitespace trimming, the handler requires a non-empty value. The handler limits this value to 200 UTF-8 bytes and rejects values that look like inline credential material.
After Unicode whitespace trimming, the handler requires a non-empty value. The handler limits this value to 512 UTF-8 bytes and rejects values that look like inline credential material.
Responses
Section titled “ Responses ”OK
object
Example generated
{}Bad request
object
Example generated
{}Unauthenticated
object
Example generated
{}Forbidden
object
Example generated
{}Not found
object
Example generated
{}Conflict / setup required
object
Example generated
{}Rate limited
object
Example generated
{}